<?php

// ######################## SET PHP ENVIRONMENT ###########################
error_reporting(E_ALL & ~E_NOTICE);

// ##################### DEFINE IMPORTANT CONSTANTS #######################
define('CVS_REVISION', '$RCSfile: custom_thread_fields.php,v $ - $Revision: 1.00 $');

// #################### PRE-CACHE TEMPLATES AND DATA ######################
$phrasegroups = array();
$specialtemplates = array();

// ########################## REQUIRE BACK-END ############################
require_once('./global.php');

// ############################# LOG ACTION ###############################
log_admin_action();

if (!can_administer('canadminforums'))
{
	print_cp_no_permission();
}

// ########################################################################
// ######################### START MAIN SCRIPT ############################
// ########################################################################


if (empty($_REQUEST['do']))
{
	$_REQUEST['do'] = 'modify';
}

//list all the options for a custom field
$fieldtype = array("Input Box", "Text Area", "Radio", "Select");


print_cp_header($vbphrase['custom_thread_fields_manager']);

if ($_REQUEST['do'] == 'add')
{
	
	print_form_header('custom_thread_fields', 'do_add');
	print_table_header($vbphrase['add_custom_field'], 3);
	print_input_row($vbphrase['custom_thread_field_forumid'], 'forumid', '', 0, '35');
	print_input_row($vbphrase['title_of_custom_field'], 'title', '', 0, '35');
	print_select_row($vbphrase['clt_choose_a_type'], 'fieldtype', $fieldtype);
	print_input_row($vbphrase['clt_add_options'], 'options');
	print_yes_no_row($vbphrase['is_this_custom_thread_field_required'], 'required');
	print_submit_row($vbphrase['add']);
}

if ($_REQUEST['do'] == "do_add")
{
	
	$vbulletin->input->clean_array_gpc('p', array(
	'forumid'       => TYPE_STR,
	'title' => TYPE_STR,
	'required' => TYPE_UINT,
	'fieldtype' => TYPE_UINT,
	'options' => TYPE_STR
    ));
    
	
	 $db->query_write("
		INSERT INTO " . TABLE_PREFIX . "custom_thread_forms
		(
			forumid,
			title,
			required,
			fieldtype,
			options
		) VALUES (
   '" . $db->escape_string($vbulletin->GPC['forumid']) . "',
   '" . $db->escape_string($vbulletin->GPC['title']) . "',
   '" . $db->escape_string($vbulletin->GPC['required']) . "',
   '" . $db->escape_string($vbulletin->GPC['fieldtype']) . "',
   '" . $db->escape_string($vbulletin->GPC['options']) . "'
   )");
   
 
   	define('CP_REDIRECT', "custom_thread_fields.php");
	print_stop_message('custom_thread_field_added', $vbulletin->GPC['deftitle']);

}

if ($_REQUEST['do'] == "edit")
{
	
	$vbulletin->input->clean_array_gpc('g', array(
	'custom_formid' => TYPE_INT
    ));
	
	$getcustomthreadfields = $db->query_read("SELECT * FROM " . TABLE_PREFIX . "custom_thread_forms WHERE custom_formid = '".$vbulletin->GPC['custom_formid']."' ");
	$form = $db->fetch_array($getcustomthreadfields);
	
	
	
	print_form_header('custom_thread_fields', 'do_edit');
	construct_hidden_code('custom_formid', $form['custom_formid']);
	print_table_header($vbphrase['add_custom_field'], 3);
	print_input_row($vbphrase['custom_thread_field_forumid'], 'forumid', $form['forumid'], 0, '35');
	print_input_row($vbphrase['title_of_custom_field'], 'title', $form['title'], 0, '35');
	print_select_row($vbphrase['clt_choose_a_type'], 'fieldtype', $fieldtype, $form['fieldtype']);
	print_input_row($vbphrase['clt_add_options'], 'options', $form['options']);
	print_yes_no_row($vbphrase['is_this_custom_thread_field_required'], 'required', $form['required']);
	print_submit_row($vbphrase['save']);
	
}

if ($_REQUEST['do'] == "do_edit")
{

	$vbulletin->input->clean_array_gpc('p', array(
	'custom_formid' => TYPE_UINT,
	'forumid'       => TYPE_STR,
	'title' => TYPE_STR,
	'required' => TYPE_UINT,
	'fieldtype' => TYPE_UINT,
	'options' => TYPE_STR
    ));

    
	$db->query_write("
		UPDATE " . TABLE_PREFIX . "custom_thread_forms SET 
		    forumid =  '" . $db->escape_string($vbulletin->GPC['forumid']) . "',
		    title =  '" . $db->escape_string($vbulletin->GPC['title']) . "',
		    required = '" . $db->escape_string($vbulletin->GPC['required']) . "',
		    fieldtype = '" . $db->escape_string($vbulletin->GPC['fieldtype']) . "',
		    options = '" . $db->escape_string($vbulletin->GPC['options']) . "'
            WHERE custom_formid = " . $vbulletin->GPC['custom_formid'] . "  
		   ");
  

	define('CP_REDIRECT', "custom_thread_fields.php");
	print_stop_message('custom_thread_field_edited', $vbulletin->GPC['deftitle']);		
}

if ($_REQUEST['do'] == "delete")
{
	$vbulletin->input->clean_array_gpc('g', array(
	'custom_formid' => TYPE_INT
    ));
	
	$db->query_write("DELETE FROM " . TABLE_PREFIX . "custom_thread_forms WHERE custom_formid = '".$vbulletin->GPC['custom_formid']."' ");
	
	define('CP_REDIRECT', "custom_thread_fields.php");
	print_stop_message('custom_thread_field_deleted', $vbulletin->GPC['deftitle']);
}

if ($_REQUEST['do'] == "modify")
{
	
	$getcustomthreadfields = $db->query_read("SELECT * FROM " . TABLE_PREFIX . "custom_thread_forms");    
	while ($form = $db->fetch_array($getcustomthreadfields))
	{
	  $modify_message .= "".$form['title'].": <a href='custom_thread_fields.php?do=edit&custom_formid=$form[custom_formid]'>[".$vbphrase['edit']."]</a> 
	 <a href='custom_thread_fields.php?do=delete&custom_formid=$form[custom_formid]' onclick=\"return confirm('".$vbphrase['confirm_deletion_of_custom_thread_field']."')\">[".$vbphrase['delete']."]</a><br />";

	}	
	
	print_form_header('', '');
    print_table_header($vbphrase['custom_thread_fields_manager'], 3);
    print_label_row($modify_message);
    print_table_footer();
    
    print_label_row("<br /><div align='center'><a href='custom_thread_fields.php?do=add'>".$vbphrase['add_new_custom_thread_field']."</a></div>");
    
}

print_cp_footer();


?>